Skip to main content
GET
/
v1
/
markets
/
{condition_id}
Get Market
curl --request GET \
  --url https://staging-api.polysimulator.com/v1/markets/{condition_id} \
  --header 'X-API-Key: <x-api-key>'
{
  "condition_id": "<string>",
  "slug": "<string>",
  "question": "<string>",
  "outcomes": [
    "<string>"
  ],
  "active": true,
  "closed": false,
  "is_hot": false,
  "image_url": "<string>",
  "live_price": {
    "buy": "<string>",
    "sell": "<string>",
    "volume": "<string>",
    "updated_at": "<string>",
    "source": "<string>",
    "outcomes": []
  },
  "event_group_id": "<string>",
  "event_title": "<string>",
  "end_date": "<string>",
  "resolved_outcome": "<string>"
}

Headers

X-API-Key
string
required

Your PolySimulator API key

Path Parameters

condition_id
string
required

Query Parameters

include_book
boolean
default:false

Include CLOB order book

Response

Successful Response

condition_id
string
required
slug
string | null
question
string | null
outcomes
string[] | null
active
boolean
default:true
closed
boolean
default:false
is_hot
boolean
default:false
image_url
string | null
live_price
LivePrice · object
event_group_id
string | null
event_title
string | null
end_date
string | null
resolved_outcome
string | null